From c1d7640216e9d155dedb2fbdeee4bbc0ea6f305a Mon Sep 17 00:00:00 2001
From: Charles Plessy <plessy@debian.org>
Date: Sat, 7 Jan 2012 15:00:30 +0900
Subject: [PATCH] =?UTF-8?q?Document=20VCS=20fields,=20using=20Developers's=20?=
 =?UTF-8?q?Reference=20=C2=A76.2.5=20for=20inspiration.?=
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

Closes: #654958
---
 policy.sgml |   38 ++++++++++++++++++++++++++++++++++++++
 1 file changed, 38 insertions(+)

diff --git a/policy.sgml b/policy.sgml
index 52dbb26..64228a9 100644
--- a/policy.sgml
+++ b/policy.sgml
@@ -2631,6 +2631,7 @@ Package: libc6
 	    <item><qref id="sourcebinarydeps"><tt>Build-Depends</tt> et al</qref></item>
 	    <item><qref id="f-Standards-Version"><tt>Standards-Version</tt></qref> (recommended)</item>
 	    <item><qref id="f-Homepage"><tt>Homepage</tt></qref></item>
+	    <item><qref id="f-VCS-fields"><tt>VCS fields</tt></qref></item>
 	  </list>
 	</p>
 
@@ -2728,6 +2729,7 @@ Package: libc6
 	  <item><qref id="f-Checksums"><tt>Checksums-Sha1</tt>
 	      and <tt>Checksums-Sha256</tt></qref> (recommended)</item>
 	  <item><qref id="f-Files"><tt>Files</tt></qref> (mandatory)</item>
+	  <item><qref id="f-VCS-fields"><tt>VCS fields</tt></qref></item>
 	</list>
 	</p>
 
@@ -3737,6 +3739,42 @@ Checksums-Sha256:
 	    details.
 	  </p>
 	</sect1>
+
+	<sect1 id="f-VCS-fields">
+	  <heading>Version Control System (VCS) fields</heading>
+
+	  <p>
+	    Debian source packages are increasingly developed using VCSs.  The
+	    purpose of the following fields is to indicate to the users where
+	    they can access to the package's repository.
+
+	    <taglist>
+	      <tag><tt>Vcs-Browser</tt></tag>
+	      <item>
+		<p>
+		  HTTP URL of a web-browsable repository.
+		</p>
+	      </item>
+
+	      <tag>
+		<tt>Vcs-Arch</tt>, <tt>Vcs-Bzr</tt> (Bazaar), <tt>Vcs-Cvs</tt>,
+		<tt>Vcs-Darcs</tt>, <tt>Vcs-Git</tt>, <tt>Vcs-Hg</tt>
+		(Mercurial), <tt>Vcs-Mtn</tt> (Monotone), <tt>Vcs-Svn</tt>
+		(Subversion)
+	      </tag>
+	      <item>
+		<p>
+		  The field name identifies the VCS. The field's value should
+		  be sufficient to locate the repository and access it
+		  anonymously on the main branch used for packaging.  In the
+		  case of Git, this is indicated with a <tt>-b</tt> argument,
+		  like with the <tt>git clone</tt> command.  More than one
+		  different VCS may be specified for the same package.
+		</p>
+	      </item>
+	    </taglist>
+	  </p>
+	</sect1>
       </sect>
 
       <sect>
-- 
1.7.10

